Disabling TLS 1.0 NGINX Cannot Connect With Git client

If I disable TLS 1.0 on NGINX I can no longer connect with Git clients (1.9.5 as well as 2.0 and a nightly 2.1 build)

Is there a way to tell Git to only try to use TLS 1.1 and up?